Skip to main content
POST
/
api
/
pricing
/
batches
/
{key}
/
add-records-by-variants
Add Records By Variants
curl --request POST \
  --url https://api.merchantops.ai/api/pricing/batches/{key}/add-records-by-variants \
  --header 'Content-Type: application/json' \
  --data '
{
  "variant_keys": [
    "<string>"
  ],
  "price_types": [
    "<string>"
  ]
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required

Cookies

stytch_session
string | null

Body

application/json

Resolve "latest active prices for these variants" into a republish batch. Used by the per-product "Republish selected SKUs to…" flow where the user has explicit variant_keys selected from the price-records list.

variant_keys
string[]
required
Minimum array length: 1
price_types
string[] | null

Response

Successful Response